curl --request GET \
--url https://api.formo.so/v0/boards/{boardId}/charts \
--header 'Authorization: Bearer <token>'{
"isSuccess": true,
"data": {
"charts": [
{
"id": "<string>",
"chart_type": "table",
"title": "<string>",
"query": "<string>",
"project_id": "<string>",
"board_id": "<string>",
"description": "<string>",
"x_axis": "<string>",
"y_axis": [
"<string>"
],
"group_by": "<string>",
"steps": [
{
"type": "event",
"event": "<string>"
}
],
"settings": {
"funnelType": "closed",
"conversionWindow": {
"value": 2,
"unit": "minute"
},
"breakdown": "device",
"startStep": {
"type": "event",
"event": "<string>"
},
"endStep": {
"type": "event",
"event": "<string>"
},
"maxSteps": 3,
"nodesPerStep": 5,
"filters": "<string>",
"retentionFilter": {
"type": "event",
"event": "<string>"
},
"retentionUserFilters": [
{
"operand": "<string>",
"operator": "equals",
"value": "<string>"
}
]
}
}
],
"board": {
"id": "<string>",
"project_id": "<string>",
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"title": "<string>",
"description": "<string>"
}
}
}Retrieve all charts attached to a specific dashboard board. Returns chart IDs, types, SQL queries, and visualization configurations.
curl --request GET \
--url https://api.formo.so/v0/boards/{boardId}/charts \
--header 'Authorization: Bearer <token>'{
"isSuccess": true,
"data": {
"charts": [
{
"id": "<string>",
"chart_type": "table",
"title": "<string>",
"query": "<string>",
"project_id": "<string>",
"board_id": "<string>",
"description": "<string>",
"x_axis": "<string>",
"y_axis": [
"<string>"
],
"group_by": "<string>",
"steps": [
{
"type": "event",
"event": "<string>"
}
],
"settings": {
"funnelType": "closed",
"conversionWindow": {
"value": 2,
"unit": "minute"
},
"breakdown": "device",
"startStep": {
"type": "event",
"event": "<string>"
},
"endStep": {
"type": "event",
"event": "<string>"
},
"maxSteps": 3,
"nodesPerStep": 5,
"filters": "<string>",
"retentionFilter": {
"type": "event",
"event": "<string>"
},
"retentionUserFilters": [
{
"operand": "<string>",
"operator": "equals",
"value": "<string>"
}
]
}
}
],
"board": {
"id": "<string>",
"project_id": "<string>",
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"title": "<string>",
"description": "<string>"
}
}
}